/* HEADER */

.header-controls div.part-globalsearch {
    position:relative;
}

.header-controls div.part-globalsearch h2.component-heading a {
    display:block;
    overflow:hidden;
    text-indent:-9999px;
    outline-offset:-2px;
    height:100%;
}

.header-controls div.part-globalsearch .component-body {
    position:absolute;
    z-index:101;
    width:20vw;
    padding-right:2vw;
    padding-left:2vw;
    height:100%;
    top:0;
    right:100%;
    background-color:#ffffff;
    display:flex;
    justify-content:center;
    align-items:center;
    opacity:0;
    pointer-events:none;
    transition:0.5s;
}

body.showSearch .header-controls div.part-globalsearch .component-body {
    opacity:1;
    pointer-events:auto;
}

.header-controls div.part-globalsearch .component-body form {
    display:flex;
    justify-content:center;
    align-items:center;
}

.header-controls div.part-globalsearch input[type="text"] {
    margin-top:0;
    width:100%;
    border-left:none;
    border-top:none;
    border-right:none;
    padding:0.25vw 1vw;
    margin-right:0.5vw;
}

.header-controls div.part-globalsearch input[type="submit"] {
    margin:0;
    padding:0;
    font-size:0;
    line-height:0;
    height:2.1vw;
    width:2.1vw;
    background-size:2.1vw;
}

.header-controls div.part-globalsearch input[type="submit"]:hover {
    background-position:0 -4.2vw;
}

@media only screen and (max-width:1323px) {

    .header-controls div.part-globalsearch h2.component-heading {
        width:24px;
        height:72px;
        background-size:24px;
    }

    .header-controls div.part-globalsearch .component-body {
        width:260px;
        padding-right:20px;
        padding-left:20px;
        right:44px;
    }

    .header-controls div.part-globalsearch input[type="text"] {
        padding:5px 20px;
        margin-right:10px;
    }

    .header-controls div.part-globalsearch input[type="submit"] {
        height:24px;
        width:24px;
        background-size:24px;
    }

    .header-controls div.part-globalsearch input[type="submit"]:hover {
        background-position:0 -48px;
    }
}

/* result */

.main-content .part-globalsearch #global-result::after {
    content:"";
    display:block;
    float:none;
    clear:both;
}

.main-content .part-globalsearch #global-result > div,
.main-content .part-globalsearch #global-result label {
    padding-left:36px;
    display:block;
    float:left;
    position:relative;
}

.main-content .part-globalsearch #global-result label {
    width:200px;
}

.main-content .part-globalsearch #global-result label::before {
    content:"";
    display:block;
    width:24px;
    height:24px;
    position:absolute;
    top:0;
    left:0;
    background-repeat:no-repeat;
    background-size:contain;
    background-position:center center;
    background-image:url('../gfx/result_content.svg');
}

.main-content .part-globalsearch #global-result label.organog,
.main-content .part-globalsearch #global-result label.gallery {
    clear:left;
}

.main-content .part-globalsearch #global-result label.organog::before {
    background-image:url('../gfx/result_organog.svg');
}

.main-content .part-globalsearch #global-result label.gallery::before {
    background-image:url('../gfx/result_gallery.svg');
}

.main-content .part-globalsearch #content-result {
    margin-bottom:10px;
}

.main-content .part-globalsearch span.result-count a {
    display:inline-block;
    position:relative;
    top:-10px;
    width:180px;
    font-weight:bold;
    transition:0.5s;
    background-color:var(--sec);
    color:#ffffff;
    padding:10px 20px;
    text-align:center;
}

.main-content .part-globalsearch span.result-count a:hover {
    background-color:var(--pri);
}

.main-content .part-globalsearch span.result-count a::after {
    content:"\00a0\00bb";
}

.main-content .part-globalsearch .pagination-filters {
    padding-top:32px;
}

.main-content .part-globalsearch .pagination-filters::after {
    content:"";
    display:block;
    float:none;
    clear:both;
}

.main-content .part-globalsearch .pagination-filters span {
    float:left;
    display:block;
    padding-top:10px;
    margin-right:15px;
}

.main-content .part-globalsearch .pagination-filters form {
    float:left;
}

.main-content .part-globalsearch .pagination {
    text-align:center;
}

.main-content .part-globalsearch .pagination div.nextprev {
    display:inline-block;
}

.main-content .part-globalsearch .pagination div.nextprev::after {
    content:"";
    display:block;
    float:none;
    clear:both;
}

@media only screen and (min-width:1324px) {

    .main-content .part-globalsearch #global-result > div,
    .main-content .part-globalsearch #global-result label {
        padding-left:1.875vw;
    }

    .main-content .part-globalsearch #global-result label {
        width:10.417vw;
    }

    .main-content .part-globalsearch #global-result label::before {
        width:1.25vw;
        height:1.25vw;
    }

    .main-content .part-globalsearch #content-result {
        margin-bottom:0.5vw;
    }

    .main-content .part-globalsearch span.result-count a {
        top:-0.5vw;
        width:9.375vw;
        padding:0.5vw 1vw;
    }

}

@media only screen and (max-width:993px) {
    header div.part-globalsearch .component-body {
        width:300px;
    }

    header div.part-globalsearch .component-body form {
        display:block;
    }

    header div.part-globalsearch input[type="submit"] {
        width:100%;
        margin-top:5px;
    }
}

@media only screen and (max-width:479px) {
    .main-content .part-globalsearch #global-result > div,
    .main-content .part-globalsearch #global-result label {
        float:none;
    }

    .main-content .part-globalsearch span.result-count a {
        top:0;
        margin-top:10px;
    }
}

/* admin hack */

@media only screen and (max-width:993px) {

    div.part-globalsearch.portlet-content.box.admin-com-view {
        position:static !important;
    }

}